/* settings.c generated by valac 0.48.6, the Vala compiler
 * generated from settings.vala, do not modify */

/* -*- Mode: Vala; indent-tabs-mode: nil; tab-width: 4 -*-
 *
 * Copyright (C) 2011,2012 Canonical Ltd
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Authors: Robert Ancell <robert.ancell@canonical.com>
 *          Michael Terry <michael.terry@canonical.com>
 */

#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <glib/gstdio.h>
#include <gobject/gvaluecollector.h>

#define TYPE_UG_SETTINGS (ug_settings_get_type ())
#define UG_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_UG_SETTINGS, UGSettings))
#define UG_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_UG_SETTINGS, UGSettingsClass))
#define IS_UG_SETTINGS(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_UG_SETTINGS))
#define IS_UG_SETTINGS_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_UG_SETTINGS))
#define UG_SETTINGS_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_UG_SETTINGS, UGSettingsClass))

typedef struct _UGSettings UGSettings;
typedef struct _UGSettingsClass UGSettingsClass;
typedef struct _UGSettingsPrivate UGSettingsPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_key_file_unref0(var) ((var == NULL) ? NULL : (var = (g_key_file_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _ParamSpecUGSettings ParamSpecUGSettings;

struct _UGSettings {
	GTypeInstance parent_instance;
	volatile int ref_count;
	UGSettingsPrivate * priv;
};

struct _UGSettingsClass {
	GTypeClass parent_class;
	void (*finalize) (UGSettings *self);
};

struct _ParamSpecUGSettings {
	GParamSpec parent_instance;
};

static gpointer ug_settings_parent_class = NULL;

gpointer ug_settings_ref (gpointer instance);
void ug_settings_unref (gpointer instance);
GParamSpec* param_spec_ug_settings (const gchar* name,
                                    const gchar* nick,
                                    const gchar* blurb,
                                    GType object_type,
                                    GParamFlags flags);
void value_set_ug_settings (GValue* value,
                            gpointer v_object);
void value_take_ug_settings (GValue* value,
                             gpointer v_object);
gpointer value_get_ug_settings (const GValue* value);
GType ug_settings_get_type (void) G_GNUC_CONST;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (UGSettings, ug_settings_unref)
#define UG_SETTINGS_KEY_BACKGROUND "background"
#define UG_SETTINGS_KEY_BACKGROUND_COLOR "background-color"
#define UG_SETTINGS_KEY_BACKGROUND_STRETCH "stretch-background-across-monitors"
#define UG_SETTINGS_KEY_DRAW_USER_BACKGROUNDS "draw-user-backgrounds"
#define UG_SETTINGS_KEY_DRAW_GRID "draw-grid"
#define UG_SETTINGS_KEY_SHOW_HOSTNAME "show-hostname"
#define UG_SETTINGS_KEY_SHOW_POWER "show-power"
#define UG_SETTINGS_KEY_SHOW_A11Y "show-a11y"
#define UG_SETTINGS_KEY_SHOW_CLOCK "show-clock"
#define UG_SETTINGS_KEY_SHOW_KEYBOARD "show-keyboard"
#define UG_SETTINGS_KEY_SHOW_QUIT "show-quit"
#define UG_SETTINGS_KEY_LOGO "logo"
#define UG_SETTINGS_KEY_OTHER_MONITORS_LOGO "other-monitors-logo"
#define UG_SETTINGS_KEY_THEME_NAME "theme-name"
#define UG_SETTINGS_KEY_ICON_THEME_NAME "icon-theme-name"
#define UG_SETTINGS_KEY_FONT_NAME "font-name"
#define UG_SETTINGS_KEY_XFT_ANTIALIAS "xft-antialias"
#define UG_SETTINGS_KEY_XFT_DPI "xft-dpi"
#define UG_SETTINGS_KEY_XFT_HINTSTYLE "xft-hintstyle"
#define UG_SETTINGS_KEY_XFT_RGBA "xft-rgba"
#define UG_SETTINGS_KEY_ONSCREEN_KEYBOARD "onscreen-keyboard"
#define UG_SETTINGS_KEY_HIGH_CONTRAST "high-contrast"
#define UG_SETTINGS_KEY_SCREEN_READER "screen-reader"
#define UG_SETTINGS_KEY_PLAY_READY_SOUND "play-ready-sound"
#define UG_SETTINGS_KEY_HIDDEN_USERS "hidden-users"
#define UG_SETTINGS_KEY_GROUP_FILTER "group-filter"
#define UG_SETTINGS_KEY_ENABLE_HIDPI "enable-hidpi"
#define UG_SETTINGS_KEY_ACTIVATE_NUMLOCK "activate-numlock"
#define UG_SETTINGS_KEY_ONLY_ON_MONITOR "only-on-monitor"
#define UG_SETTINGS_SCHEMA "x.dm.slick-greeter"
#define UG_SETTINGS_GROUP_NAME "Greeter"
gboolean ug_settings_get_boolean (const gchar* key);
gboolean ug_settings_safe_get_boolean (const gchar* key,
                                       gboolean _default_);
gint ug_settings_get_integer (const gchar* key);
gdouble ug_settings_get_double (const gchar* key);
gchar* ug_settings_get_string (const gchar* key);
gboolean ug_settings_set_boolean (const gchar* key,
                                  gboolean value);
gchar** ug_settings_get_strv (const gchar* key,
                              gint* result_length1);
gboolean ug_settings_set_strv (const gchar* key,
                               gchar** value,
                               gint value_length1);
void ug_settings_apply_conf_settings (void);
static void _g_free0_ (gpointer var);
static inline void _g_list_free__g_free0_ (GList* self);
UGSettings* ug_settings_new (void);
UGSettings* ug_settings_construct (GType object_type);
static void ug_settings_finalize (UGSettings * obj);
static GType ug_settings_get_type_once (void);
static void _vala_array_destroy (gpointer array,
                          gint array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gint array_length,
                       GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);

gboolean
ug_settings_get_boolean (const gchar* key)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gboolean result = FALSE;
#line 53 "settings.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 55 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 55 "settings.vala"
	gsettings = _tmp0_;
#line 56 "settings.vala"
	result = g_settings_get_boolean (gsettings, key);
#line 56 "settings.vala"
	_g_object_unref0 (gsettings);
#line 56 "settings.vala"
	return result;
#line 159 "settings.c"
}

gboolean
ug_settings_safe_get_boolean (const gchar* key,
                              gboolean _default_)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gchar** keys = NULL;
	GSettings* _tmp1_;
	gchar** _tmp2_;
	gchar** _tmp3_;
	gint keys_length1;
	gint _keys_size_;
	gchar** _tmp4_;
	gint _tmp4__length1;
	gboolean result = FALSE;
#line 60 "settings.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 62 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 62 "settings.vala"
	gsettings = _tmp0_;
#line 63 "settings.vala"
	_tmp1_ = gsettings;
#line 63 "settings.vala"
	_tmp3_ = _tmp2_ = g_settings_list_keys (_tmp1_);
#line 63 "settings.vala"
	keys = _tmp3_;
#line 63 "settings.vala"
	keys_length1 = _vala_array_length (_tmp2_);
#line 63 "settings.vala"
	_keys_size_ = keys_length1;
#line 64 "settings.vala"
	_tmp4_ = keys;
#line 64 "settings.vala"
	_tmp4__length1 = keys_length1;
#line 197 "settings.c"
	{
		gchar** k_collection = NULL;
		gint k_collection_length1 = 0;
		gint _k_collection_size_ = 0;
		gint k_it = 0;
#line 64 "settings.vala"
		k_collection = _tmp4_;
#line 64 "settings.vala"
		k_collection_length1 = _tmp4__length1;
#line 64 "settings.vala"
		for (k_it = 0; k_it < k_collection_length1; k_it = k_it + 1) {
#line 209 "settings.c"
			gchar* _tmp5_;
			gchar* k = NULL;
#line 64 "settings.vala"
			_tmp5_ = g_strdup (k_collection[k_it]);
#line 64 "settings.vala"
			k = _tmp5_;
#line 216 "settings.c"
			{
				const gchar* _tmp6_;
#line 65 "settings.vala"
				_tmp6_ = k;
#line 65 "settings.vala"
				if (g_strcmp0 (_tmp6_, key) == 0) {
#line 223 "settings.c"
					GSettings* _tmp7_;
#line 66 "settings.vala"
					_tmp7_ = gsettings;
#line 66 "settings.vala"
					result = g_settings_get_boolean (_tmp7_, key);
#line 66 "settings.vala"
					_g_free0 (k);
#line 66 "settings.vala"
					keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 66 "settings.vala"
					_g_object_unref0 (gsettings);
#line 66 "settings.vala"
					return result;
#line 237 "settings.c"
				}
#line 64 "settings.vala"
				_g_free0 (k);
#line 241 "settings.c"
			}
		}
	}
#line 69 "settings.vala"
	result = _default_;
#line 69 "settings.vala"
	keys = (_vala_array_free (keys, keys_length1, (GDestroyNotify) g_free), NULL);
#line 69 "settings.vala"
	_g_object_unref0 (gsettings);
#line 69 "settings.vala"
	return result;
#line 253 "settings.c"
}

gint
ug_settings_get_integer (const gchar* key)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gint result = 0;
#line 72 "settings.vala"
	g_return_val_if_fail (key != NULL, 0);
#line 74 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 74 "settings.vala"
	gsettings = _tmp0_;
#line 75 "settings.vala"
	result = g_settings_get_int (gsettings, key);
#line 75 "settings.vala"
	_g_object_unref0 (gsettings);
#line 75 "settings.vala"
	return result;
#line 274 "settings.c"
}

gdouble
ug_settings_get_double (const gchar* key)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gdouble result = 0.0;
#line 78 "settings.vala"
	g_return_val_if_fail (key != NULL, 0.0);
#line 80 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 80 "settings.vala"
	gsettings = _tmp0_;
#line 81 "settings.vala"
	result = g_settings_get_double (gsettings, key);
#line 81 "settings.vala"
	_g_object_unref0 (gsettings);
#line 81 "settings.vala"
	return result;
#line 295 "settings.c"
}

gchar*
ug_settings_get_string (const gchar* key)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gchar* _tmp1_;
	gchar* result = NULL;
#line 84 "settings.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 86 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 86 "settings.vala"
	gsettings = _tmp0_;
#line 87 "settings.vala"
	_tmp1_ = g_settings_get_string (gsettings, key);
#line 87 "settings.vala"
	result = _tmp1_;
#line 87 "settings.vala"
	_g_object_unref0 (gsettings);
#line 87 "settings.vala"
	return result;
#line 319 "settings.c"
}

gboolean
ug_settings_set_boolean (const gchar* key,
                         gboolean value)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gboolean result = FALSE;
#line 90 "settings.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 92 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 92 "settings.vala"
	gsettings = _tmp0_;
#line 93 "settings.vala"
	result = g_settings_set_boolean (gsettings, key, value);
#line 93 "settings.vala"
	_g_object_unref0 (gsettings);
#line 93 "settings.vala"
	return result;
#line 341 "settings.c"
}

gchar**
ug_settings_get_strv (const gchar* key,
                      gint* result_length1)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gchar** _tmp1_;
	gchar** _tmp2_;
	gchar** _tmp3_;
	gint _tmp3__length1;
	gchar** result = NULL;
#line 96 "settings.vala"
	g_return_val_if_fail (key != NULL, NULL);
#line 98 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 98 "settings.vala"
	gsettings = _tmp0_;
#line 99 "settings.vala"
	_tmp2_ = _tmp1_ = g_settings_get_strv (gsettings, key);
#line 99 "settings.vala"
	_tmp3_ = _tmp2_;
#line 99 "settings.vala"
	_tmp3__length1 = _vala_array_length (_tmp1_);
#line 99 "settings.vala"
	if (result_length1) {
#line 99 "settings.vala"
		*result_length1 = _tmp3__length1;
#line 371 "settings.c"
	}
#line 99 "settings.vala"
	result = _tmp3_;
#line 99 "settings.vala"
	_g_object_unref0 (gsettings);
#line 99 "settings.vala"
	return result;
#line 379 "settings.c"
}

gboolean
ug_settings_set_strv (const gchar* key,
                      gchar** value,
                      gint value_length1)
{
	GSettings* gsettings = NULL;
	GSettings* _tmp0_;
	gboolean result = FALSE;
#line 102 "settings.vala"
	g_return_val_if_fail (key != NULL, FALSE);
#line 104 "settings.vala"
	_tmp0_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 104 "settings.vala"
	gsettings = _tmp0_;
#line 105 "settings.vala"
	result = g_settings_set_strv (gsettings, key, value);
#line 105 "settings.vala"
	_g_object_unref0 (gsettings);
#line 105 "settings.vala"
	return result;
#line 402 "settings.c"
}

static void
_g_free0_ (gpointer var)
{
#line 156 "settings.vala"
	var = (g_free (var), NULL);
#line 410 "settings.c"
}

static inline void
_g_list_free__g_free0_ (GList* self)
{
#line 156 "settings.vala"
	g_list_free_full (self, (GDestroyNotify) _g_free0_);
#line 418 "settings.c"
}

void
ug_settings_apply_conf_settings (void)
{
	GError* _inner_error0_ = NULL;
	{
		gchar* path = NULL;
		gchar* _tmp0_;
		GSettings* gsettings = NULL;
		GSettings* _tmp1_;
		GKeyFile* keyfile = NULL;
		GKeyFile* _tmp2_;
		const gchar* _tmp3_;
		GList* string_keys = NULL;
		gchar* _tmp6_;
		gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
		gchar* _tmp10_;
		gchar* _tmp11_;
		gchar* _tmp12_;
		gchar* _tmp13_;
		gchar* _tmp14_;
		gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
		GList* bool_keys = NULL;
		gchar* _tmp18_;
		gchar* _tmp19_;
		gchar* _tmp20_;
		gchar* _tmp21_;
		gchar* _tmp22_;
		gchar* _tmp23_;
		gchar* _tmp24_;
		gchar* _tmp25_;
		gchar* _tmp26_;
		gchar* _tmp27_;
		gchar* _tmp28_;
		GList* int_keys = NULL;
		gchar* _tmp29_;
		GList* strv_keys = NULL;
		gchar* _tmp30_;
		gchar* _tmp31_;
		GList* _tmp32_;
		GList* _tmp53_;
		GList* _tmp71_;
		GList* _tmp89_;
#line 111 "settings.vala"
		_tmp0_ = g_strdup ("/etc/lightdm/slick-greeter.conf");
#line 111 "settings.vala"
		path = _tmp0_;
#line 112 "settings.vala"
		_tmp1_ = g_settings_new (UG_SETTINGS_SCHEMA);
#line 112 "settings.vala"
		gsettings = _tmp1_;
#line 113 "settings.vala"
		_tmp2_ = g_key_file_new ();
#line 113 "settings.vala"
		keyfile = _tmp2_;
#line 115 "settings.vala"
		_tmp3_ = path;
#line 115 "settings.vala"
		if (g_file_test (_tmp3_, G_FILE_TEST_EXISTS)) {
#line 483 "settings.c"
			GKeyFile* _tmp4_;
			const gchar* _tmp5_;
#line 117 "settings.vala"
			_tmp4_ = keyfile;
#line 117 "settings.vala"
			_tmp5_ = path;
#line 117 "settings.vala"
			g_key_file_load_from_file (_tmp4_, _tmp5_, G_KEY_FILE_NONE, &_inner_error0_);
#line 117 "settings.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 117 "settings.vala"
				_g_key_file_unref0 (keyfile);
#line 117 "settings.vala"
				_g_object_unref0 (gsettings);
#line 117 "settings.vala"
				_g_free0 (path);
#line 500 "settings.c"
				goto __catch0_g_error;
			}
		}
#line 120 "settings.vala"
		string_keys = NULL;
#line 121 "settings.vala"
		_tmp6_ = g_strdup (UG_SETTINGS_KEY_BACKGROUND);
#line 121 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp6_);
#line 122 "settings.vala"
		_tmp7_ = g_strdup (UG_SETTINGS_KEY_BACKGROUND_COLOR);
#line 122 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp7_);
#line 123 "settings.vala"
		_tmp8_ = g_strdup (UG_SETTINGS_KEY_LOGO);
#line 123 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp8_);
#line 124 "settings.vala"
		_tmp9_ = g_strdup (UG_SETTINGS_KEY_OTHER_MONITORS_LOGO);
#line 124 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp9_);
#line 125 "settings.vala"
		_tmp10_ = g_strdup (UG_SETTINGS_KEY_THEME_NAME);
#line 125 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp10_);
#line 126 "settings.vala"
		_tmp11_ = g_strdup (UG_SETTINGS_KEY_ICON_THEME_NAME);
#line 126 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp11_);
#line 127 "settings.vala"
		_tmp12_ = g_strdup (UG_SETTINGS_KEY_FONT_NAME);
#line 127 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp12_);
#line 128 "settings.vala"
		_tmp13_ = g_strdup (UG_SETTINGS_KEY_PLAY_READY_SOUND);
#line 128 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp13_);
#line 129 "settings.vala"
		_tmp14_ = g_strdup (UG_SETTINGS_KEY_XFT_HINTSTYLE);
#line 129 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp14_);
#line 130 "settings.vala"
		_tmp15_ = g_strdup (UG_SETTINGS_KEY_XFT_RGBA);
#line 130 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp15_);
#line 131 "settings.vala"
		_tmp16_ = g_strdup (UG_SETTINGS_KEY_ENABLE_HIDPI);
#line 131 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp16_);
#line 132 "settings.vala"
		_tmp17_ = g_strdup (UG_SETTINGS_KEY_ONLY_ON_MONITOR);
#line 132 "settings.vala"
		string_keys = g_list_append (string_keys, _tmp17_);
#line 134 "settings.vala"
		bool_keys = NULL;
#line 135 "settings.vala"
		_tmp18_ = g_strdup (UG_SETTINGS_KEY_DRAW_USER_BACKGROUNDS);
#line 135 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp18_);
#line 136 "settings.vala"
		_tmp19_ = g_strdup (UG_SETTINGS_KEY_BACKGROUND_STRETCH);
#line 136 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp19_);
#line 137 "settings.vala"
		_tmp20_ = g_strdup (UG_SETTINGS_KEY_DRAW_GRID);
#line 137 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp20_);
#line 138 "settings.vala"
		_tmp21_ = g_strdup (UG_SETTINGS_KEY_SHOW_HOSTNAME);
#line 138 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp21_);
#line 139 "settings.vala"
		_tmp22_ = g_strdup (UG_SETTINGS_KEY_SHOW_POWER);
#line 139 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp22_);
#line 140 "settings.vala"
		_tmp23_ = g_strdup (UG_SETTINGS_KEY_SHOW_A11Y);
#line 140 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp23_);
#line 141 "settings.vala"
		_tmp24_ = g_strdup (UG_SETTINGS_KEY_SHOW_CLOCK);
#line 141 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp24_);
#line 142 "settings.vala"
		_tmp25_ = g_strdup (UG_SETTINGS_KEY_SHOW_KEYBOARD);
#line 142 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp25_);
#line 143 "settings.vala"
		_tmp26_ = g_strdup (UG_SETTINGS_KEY_SHOW_QUIT);
#line 143 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp26_);
#line 144 "settings.vala"
		_tmp27_ = g_strdup (UG_SETTINGS_KEY_XFT_ANTIALIAS);
#line 144 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp27_);
#line 145 "settings.vala"
		_tmp28_ = g_strdup (UG_SETTINGS_KEY_ACTIVATE_NUMLOCK);
#line 145 "settings.vala"
		bool_keys = g_list_append (bool_keys, _tmp28_);
#line 147 "settings.vala"
		int_keys = NULL;
#line 148 "settings.vala"
		_tmp29_ = g_strdup (UG_SETTINGS_KEY_XFT_DPI);
#line 148 "settings.vala"
		int_keys = g_list_append (int_keys, _tmp29_);
#line 150 "settings.vala"
		strv_keys = NULL;
#line 151 "settings.vala"
		_tmp30_ = g_strdup (UG_SETTINGS_KEY_HIDDEN_USERS);
#line 151 "settings.vala"
		strv_keys = g_list_append (strv_keys, _tmp30_);
#line 152 "settings.vala"
		_tmp31_ = g_strdup (UG_SETTINGS_KEY_GROUP_FILTER);
#line 152 "settings.vala"
		strv_keys = g_list_append (strv_keys, _tmp31_);
#line 154 "settings.vala"
		_tmp32_ = string_keys;
#line 618 "settings.c"
		{
			GList* key_collection = NULL;
			GList* key_it = NULL;
#line 154 "settings.vala"
			key_collection = _tmp32_;
#line 154 "settings.vala"
			for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 626 "settings.c"
				gchar* _tmp33_;
				gchar* key = NULL;
#line 154 "settings.vala"
				_tmp33_ = g_strdup ((const gchar*) key_it->data);
#line 154 "settings.vala"
				key = _tmp33_;
#line 633 "settings.c"
				{
					gboolean _tmp34_ = FALSE;
					GKeyFile* _tmp35_;
#line 156 "settings.vala"
					_tmp35_ = keyfile;
#line 156 "settings.vala"
					if (g_key_file_has_group (_tmp35_, UG_SETTINGS_GROUP_NAME)) {
#line 641 "settings.c"
						gboolean _tmp36_ = FALSE;
						GKeyFile* _tmp37_;
						const gchar* _tmp38_;
#line 156 "settings.vala"
						_tmp37_ = keyfile;
#line 156 "settings.vala"
						_tmp38_ = key;
#line 156 "settings.vala"
						_tmp36_ = g_key_file_has_key (_tmp37_, UG_SETTINGS_GROUP_NAME, _tmp38_, &_inner_error0_);
#line 156 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 156 "settings.vala"
							_g_free0 (key);
#line 156 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 156 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 156 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 156 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 156 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 156 "settings.vala"
							_g_object_unref0 (gsettings);
#line 156 "settings.vala"
							_g_free0 (path);
#line 669 "settings.c"
							goto __catch0_g_error;
						}
#line 156 "settings.vala"
						_tmp34_ = _tmp36_;
#line 674 "settings.c"
					} else {
#line 156 "settings.vala"
						_tmp34_ = FALSE;
#line 678 "settings.c"
					}
#line 156 "settings.vala"
					if (_tmp34_) {
#line 682 "settings.c"
						{
							gchar* value = NULL;
							GKeyFile* _tmp39_;
							const gchar* _tmp40_;
							gchar* _tmp41_;
							const gchar* _tmp42_;
							const gchar* _tmp43_;
							GSettings* _tmp44_;
							const gchar* _tmp45_;
							const gchar* _tmp46_;
#line 158 "settings.vala"
							_tmp39_ = keyfile;
#line 158 "settings.vala"
							_tmp40_ = key;
#line 158 "settings.vala"
							_tmp41_ = g_key_file_get_string (_tmp39_, UG_SETTINGS_GROUP_NAME, _tmp40_, &_inner_error0_);
#line 158 "settings.vala"
							value = _tmp41_;
#line 158 "settings.vala"
							if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 703 "settings.c"
								goto __catch1_g_error;
							}
#line 159 "settings.vala"
							_tmp42_ = key;
#line 159 "settings.vala"
							_tmp43_ = value;
#line 159 "settings.vala"
							g_debug ("settings.vala:159: Overriding dconf setting for %s with %s", _tmp42_, _tmp43_);
#line 160 "settings.vala"
							_tmp44_ = gsettings;
#line 160 "settings.vala"
							_tmp45_ = key;
#line 160 "settings.vala"
							_tmp46_ = value;
#line 160 "settings.vala"
							g_settings_set_string (_tmp44_, _tmp45_, _tmp46_);
#line 157 "settings.vala"
							_g_free0 (value);
#line 722 "settings.c"
						}
						goto __finally1;
						__catch1_g_error:
						{
							GError* e = NULL;
							const gchar* _tmp47_;
							GError* _tmp48_;
							const gchar* _tmp49_;
#line 157 "settings.vala"
							e = _inner_error0_;
#line 157 "settings.vala"
							_inner_error0_ = NULL;
#line 163 "settings.vala"
							_tmp47_ = key;
#line 163 "settings.vala"
							_tmp48_ = e;
#line 163 "settings.vala"
							_tmp49_ = _tmp48_->message;
#line 163 "settings.vala"
							g_warning ("settings.vala:163: Failed to apply %s from configuration file: %s", _tmp47_, _tmp49_);
#line 157 "settings.vala"
							_g_error_free0 (e);
#line 745 "settings.c"
						}
						__finally1:
#line 157 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 157 "settings.vala"
							_g_free0 (key);
#line 157 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 157 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 157 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 157 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 157 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 157 "settings.vala"
							_g_object_unref0 (gsettings);
#line 157 "settings.vala"
							_g_free0 (path);
#line 766 "settings.c"
							goto __catch0_g_error;
						}
					} else {
						GSettings* _tmp50_;
						const gchar* _tmp51_;
						const gchar* _tmp52_;
#line 167 "settings.vala"
						_tmp50_ = gsettings;
#line 167 "settings.vala"
						_tmp51_ = key;
#line 167 "settings.vala"
						g_settings_reset (_tmp50_, _tmp51_);
#line 168 "settings.vala"
						_tmp52_ = key;
#line 168 "settings.vala"
						g_debug ("settings.vala:168: Resetting dconf setting for %s to default", _tmp52_);
#line 783 "settings.c"
					}
#line 154 "settings.vala"
					_g_free0 (key);
#line 787 "settings.c"
				}
			}
		}
#line 172 "settings.vala"
		_tmp53_ = bool_keys;
#line 793 "settings.c"
		{
			GList* key_collection = NULL;
			GList* key_it = NULL;
#line 172 "settings.vala"
			key_collection = _tmp53_;
#line 172 "settings.vala"
			for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 801 "settings.c"
				gchar* _tmp54_;
				gchar* key = NULL;
#line 172 "settings.vala"
				_tmp54_ = g_strdup ((const gchar*) key_it->data);
#line 172 "settings.vala"
				key = _tmp54_;
#line 808 "settings.c"
				{
					gboolean _tmp55_ = FALSE;
					GKeyFile* _tmp56_;
#line 174 "settings.vala"
					_tmp56_ = keyfile;
#line 174 "settings.vala"
					if (g_key_file_has_group (_tmp56_, UG_SETTINGS_GROUP_NAME)) {
#line 816 "settings.c"
						gboolean _tmp57_ = FALSE;
						GKeyFile* _tmp58_;
						const gchar* _tmp59_;
#line 174 "settings.vala"
						_tmp58_ = keyfile;
#line 174 "settings.vala"
						_tmp59_ = key;
#line 174 "settings.vala"
						_tmp57_ = g_key_file_has_key (_tmp58_, UG_SETTINGS_GROUP_NAME, _tmp59_, &_inner_error0_);
#line 174 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 174 "settings.vala"
							_g_free0 (key);
#line 174 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 174 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 174 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 174 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 174 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 174 "settings.vala"
							_g_object_unref0 (gsettings);
#line 174 "settings.vala"
							_g_free0 (path);
#line 844 "settings.c"
							goto __catch0_g_error;
						}
#line 174 "settings.vala"
						_tmp55_ = _tmp57_;
#line 849 "settings.c"
					} else {
#line 174 "settings.vala"
						_tmp55_ = FALSE;
#line 853 "settings.c"
					}
#line 174 "settings.vala"
					if (_tmp55_) {
#line 857 "settings.c"
						{
							gboolean value = FALSE;
							GKeyFile* _tmp60_;
							const gchar* _tmp61_;
							const gchar* _tmp62_;
							GSettings* _tmp63_;
							const gchar* _tmp64_;
#line 176 "settings.vala"
							_tmp60_ = keyfile;
#line 176 "settings.vala"
							_tmp61_ = key;
#line 176 "settings.vala"
							value = g_key_file_get_boolean (_tmp60_, UG_SETTINGS_GROUP_NAME, _tmp61_, &_inner_error0_);
#line 176 "settings.vala"
							if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 873 "settings.c"
								goto __catch2_g_error;
							}
#line 177 "settings.vala"
							_tmp62_ = key;
#line 177 "settings.vala"
							g_debug ("settings.vala:177: Overriding dconf setting for %s", _tmp62_);
#line 178 "settings.vala"
							_tmp63_ = gsettings;
#line 178 "settings.vala"
							_tmp64_ = key;
#line 178 "settings.vala"
							g_settings_set_boolean (_tmp63_, _tmp64_, value);
#line 886 "settings.c"
						}
						goto __finally2;
						__catch2_g_error:
						{
							GError* e = NULL;
							const gchar* _tmp65_;
							GError* _tmp66_;
							const gchar* _tmp67_;
#line 175 "settings.vala"
							e = _inner_error0_;
#line 175 "settings.vala"
							_inner_error0_ = NULL;
#line 181 "settings.vala"
							_tmp65_ = key;
#line 181 "settings.vala"
							_tmp66_ = e;
#line 181 "settings.vala"
							_tmp67_ = _tmp66_->message;
#line 181 "settings.vala"
							g_warning ("settings.vala:181: Failed to apply %s from configuration file: %s", _tmp65_, _tmp67_);
#line 175 "settings.vala"
							_g_error_free0 (e);
#line 909 "settings.c"
						}
						__finally2:
#line 175 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 175 "settings.vala"
							_g_free0 (key);
#line 175 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 175 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 175 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 175 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 175 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 175 "settings.vala"
							_g_object_unref0 (gsettings);
#line 175 "settings.vala"
							_g_free0 (path);
#line 930 "settings.c"
							goto __catch0_g_error;
						}
					} else {
						GSettings* _tmp68_;
						const gchar* _tmp69_;
						const gchar* _tmp70_;
#line 185 "settings.vala"
						_tmp68_ = gsettings;
#line 185 "settings.vala"
						_tmp69_ = key;
#line 185 "settings.vala"
						g_settings_reset (_tmp68_, _tmp69_);
#line 186 "settings.vala"
						_tmp70_ = key;
#line 186 "settings.vala"
						g_debug ("settings.vala:186: Resetting dconf setting for %s to default", _tmp70_);
#line 947 "settings.c"
					}
#line 172 "settings.vala"
					_g_free0 (key);
#line 951 "settings.c"
				}
			}
		}
#line 190 "settings.vala"
		_tmp71_ = int_keys;
#line 957 "settings.c"
		{
			GList* key_collection = NULL;
			GList* key_it = NULL;
#line 190 "settings.vala"
			key_collection = _tmp71_;
#line 190 "settings.vala"
			for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 965 "settings.c"
				gchar* _tmp72_;
				gchar* key = NULL;
#line 190 "settings.vala"
				_tmp72_ = g_strdup ((const gchar*) key_it->data);
#line 190 "settings.vala"
				key = _tmp72_;
#line 972 "settings.c"
				{
					gboolean _tmp73_ = FALSE;
					GKeyFile* _tmp74_;
#line 192 "settings.vala"
					_tmp74_ = keyfile;
#line 192 "settings.vala"
					if (g_key_file_has_group (_tmp74_, UG_SETTINGS_GROUP_NAME)) {
#line 980 "settings.c"
						gboolean _tmp75_ = FALSE;
						GKeyFile* _tmp76_;
						const gchar* _tmp77_;
#line 192 "settings.vala"
						_tmp76_ = keyfile;
#line 192 "settings.vala"
						_tmp77_ = key;
#line 192 "settings.vala"
						_tmp75_ = g_key_file_has_key (_tmp76_, UG_SETTINGS_GROUP_NAME, _tmp77_, &_inner_error0_);
#line 192 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 192 "settings.vala"
							_g_free0 (key);
#line 192 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 192 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 192 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 192 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 192 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 192 "settings.vala"
							_g_object_unref0 (gsettings);
#line 192 "settings.vala"
							_g_free0 (path);
#line 1008 "settings.c"
							goto __catch0_g_error;
						}
#line 192 "settings.vala"
						_tmp73_ = _tmp75_;
#line 1013 "settings.c"
					} else {
#line 192 "settings.vala"
						_tmp73_ = FALSE;
#line 1017 "settings.c"
					}
#line 192 "settings.vala"
					if (_tmp73_) {
#line 1021 "settings.c"
						{
							gint value = 0;
							GKeyFile* _tmp78_;
							const gchar* _tmp79_;
							const gchar* _tmp80_;
							GSettings* _tmp81_;
							const gchar* _tmp82_;
#line 194 "settings.vala"
							_tmp78_ = keyfile;
#line 194 "settings.vala"
							_tmp79_ = key;
#line 194 "settings.vala"
							value = g_key_file_get_integer (_tmp78_, UG_SETTINGS_GROUP_NAME, _tmp79_, &_inner_error0_);
#line 194 "settings.vala"
							if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1037 "settings.c"
								goto __catch3_g_error;
							}
#line 195 "settings.vala"
							_tmp80_ = key;
#line 195 "settings.vala"
							g_debug ("settings.vala:195: Overriding dconf setting for %s with %d", _tmp80_, value);
#line 196 "settings.vala"
							_tmp81_ = gsettings;
#line 196 "settings.vala"
							_tmp82_ = key;
#line 196 "settings.vala"
							g_settings_set_int (_tmp81_, _tmp82_, value);
#line 1050 "settings.c"
						}
						goto __finally3;
						__catch3_g_error:
						{
							GError* e = NULL;
							const gchar* _tmp83_;
							GError* _tmp84_;
							const gchar* _tmp85_;
#line 193 "settings.vala"
							e = _inner_error0_;
#line 193 "settings.vala"
							_inner_error0_ = NULL;
#line 199 "settings.vala"
							_tmp83_ = key;
#line 199 "settings.vala"
							_tmp84_ = e;
#line 199 "settings.vala"
							_tmp85_ = _tmp84_->message;
#line 199 "settings.vala"
							g_warning ("settings.vala:199: Failed to apply %s from configuration file: %s", _tmp83_, _tmp85_);
#line 193 "settings.vala"
							_g_error_free0 (e);
#line 1073 "settings.c"
						}
						__finally3:
#line 193 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 193 "settings.vala"
							_g_free0 (key);
#line 193 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 193 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 193 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 193 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 193 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 193 "settings.vala"
							_g_object_unref0 (gsettings);
#line 193 "settings.vala"
							_g_free0 (path);
#line 1094 "settings.c"
							goto __catch0_g_error;
						}
					} else {
						GSettings* _tmp86_;
						const gchar* _tmp87_;
						const gchar* _tmp88_;
#line 203 "settings.vala"
						_tmp86_ = gsettings;
#line 203 "settings.vala"
						_tmp87_ = key;
#line 203 "settings.vala"
						g_settings_reset (_tmp86_, _tmp87_);
#line 204 "settings.vala"
						_tmp88_ = key;
#line 204 "settings.vala"
						g_debug ("settings.vala:204: Resetting dconf setting for %s to default", _tmp88_);
#line 1111 "settings.c"
					}
#line 190 "settings.vala"
					_g_free0 (key);
#line 1115 "settings.c"
				}
			}
		}
#line 208 "settings.vala"
		_tmp89_ = strv_keys;
#line 1121 "settings.c"
		{
			GList* key_collection = NULL;
			GList* key_it = NULL;
#line 208 "settings.vala"
			key_collection = _tmp89_;
#line 208 "settings.vala"
			for (key_it = key_collection; key_it != NULL; key_it = key_it->next) {
#line 1129 "settings.c"
				gchar* _tmp90_;
				gchar* key = NULL;
#line 208 "settings.vala"
				_tmp90_ = g_strdup ((const gchar*) key_it->data);
#line 208 "settings.vala"
				key = _tmp90_;
#line 1136 "settings.c"
				{
					gboolean _tmp91_ = FALSE;
					GKeyFile* _tmp92_;
#line 210 "settings.vala"
					_tmp92_ = keyfile;
#line 210 "settings.vala"
					if (g_key_file_has_group (_tmp92_, UG_SETTINGS_GROUP_NAME)) {
#line 1144 "settings.c"
						gboolean _tmp93_ = FALSE;
						GKeyFile* _tmp94_;
						const gchar* _tmp95_;
#line 210 "settings.vala"
						_tmp94_ = keyfile;
#line 210 "settings.vala"
						_tmp95_ = key;
#line 210 "settings.vala"
						_tmp93_ = g_key_file_has_key (_tmp94_, UG_SETTINGS_GROUP_NAME, _tmp95_, &_inner_error0_);
#line 210 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 210 "settings.vala"
							_g_free0 (key);
#line 210 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 210 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 210 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 210 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 210 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 210 "settings.vala"
							_g_object_unref0 (gsettings);
#line 210 "settings.vala"
							_g_free0 (path);
#line 1172 "settings.c"
							goto __catch0_g_error;
						}
#line 210 "settings.vala"
						_tmp91_ = _tmp93_;
#line 1177 "settings.c"
					} else {
#line 210 "settings.vala"
						_tmp91_ = FALSE;
#line 1181 "settings.c"
					}
#line 210 "settings.vala"
					if (_tmp91_) {
#line 1185 "settings.c"
						{
							gchar** value = NULL;
							GKeyFile* _tmp96_;
							const gchar* _tmp97_;
							gsize _tmp98_ = 0;
							gchar** _tmp99_;
							gint value_length1;
							gint _value_size_;
							const gchar* _tmp100_;
							GSettings* _tmp101_;
							const gchar* _tmp102_;
							gchar** _tmp103_;
							gint _tmp103__length1;
#line 212 "settings.vala"
							_tmp96_ = keyfile;
#line 212 "settings.vala"
							_tmp97_ = key;
#line 212 "settings.vala"
							_tmp99_ = g_key_file_get_string_list (_tmp96_, UG_SETTINGS_GROUP_NAME, _tmp97_, &_tmp98_, &_inner_error0_);
#line 212 "settings.vala"
							value = _tmp99_;
#line 212 "settings.vala"
							value_length1 = _tmp98_;
#line 212 "settings.vala"
							_value_size_ = value_length1;
#line 212 "settings.vala"
							if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 1213 "settings.c"
								goto __catch4_g_error;
							}
#line 213 "settings.vala"
							_tmp100_ = key;
#line 213 "settings.vala"
							g_debug ("settings.vala:213: Overriding dconf setting for %s", _tmp100_);
#line 214 "settings.vala"
							_tmp101_ = gsettings;
#line 214 "settings.vala"
							_tmp102_ = key;
#line 214 "settings.vala"
							_tmp103_ = value;
#line 214 "settings.vala"
							_tmp103__length1 = value_length1;
#line 214 "settings.vala"
							g_settings_set_strv (_tmp101_, _tmp102_, _tmp103_);
#line 211 "settings.vala"
							value = (_vala_array_free (value, value_length1, (GDestroyNotify) g_free), NULL);
#line 1232 "settings.c"
						}
						goto __finally4;
						__catch4_g_error:
						{
							GError* e = NULL;
							const gchar* _tmp104_;
							GError* _tmp105_;
							const gchar* _tmp106_;
#line 211 "settings.vala"
							e = _inner_error0_;
#line 211 "settings.vala"
							_inner_error0_ = NULL;
#line 217 "settings.vala"
							_tmp104_ = key;
#line 217 "settings.vala"
							_tmp105_ = e;
#line 217 "settings.vala"
							_tmp106_ = _tmp105_->message;
#line 217 "settings.vala"
							g_warning ("settings.vala:217: Failed to apply %s from configuration file: %s", _tmp104_, _tmp106_);
#line 211 "settings.vala"
							_g_error_free0 (e);
#line 1255 "settings.c"
						}
						__finally4:
#line 211 "settings.vala"
						if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 211 "settings.vala"
							_g_free0 (key);
#line 211 "settings.vala"
							(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 211 "settings.vala"
							(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 211 "settings.vala"
							(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 211 "settings.vala"
							(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 211 "settings.vala"
							_g_key_file_unref0 (keyfile);
#line 211 "settings.vala"
							_g_object_unref0 (gsettings);
#line 211 "settings.vala"
							_g_free0 (path);
#line 1276 "settings.c"
							goto __catch0_g_error;
						}
					} else {
						GSettings* _tmp107_;
						const gchar* _tmp108_;
						const gchar* _tmp109_;
#line 221 "settings.vala"
						_tmp107_ = gsettings;
#line 221 "settings.vala"
						_tmp108_ = key;
#line 221 "settings.vala"
						g_settings_reset (_tmp107_, _tmp108_);
#line 222 "settings.vala"
						_tmp109_ = key;
#line 222 "settings.vala"
						g_debug ("settings.vala:222: Resetting dconf setting for %s to default", _tmp109_);
#line 1293 "settings.c"
					}
#line 208 "settings.vala"
					_g_free0 (key);
#line 1297 "settings.c"
				}
			}
		}
#line 110 "settings.vala"
		(strv_keys == NULL) ? NULL : (strv_keys = (_g_list_free__g_free0_ (strv_keys), NULL));
#line 110 "settings.vala"
		(int_keys == NULL) ? NULL : (int_keys = (_g_list_free__g_free0_ (int_keys), NULL));
#line 110 "settings.vala"
		(bool_keys == NULL) ? NULL : (bool_keys = (_g_list_free__g_free0_ (bool_keys), NULL));
#line 110 "settings.vala"
		(string_keys == NULL) ? NULL : (string_keys = (_g_list_free__g_free0_ (string_keys), NULL));
#line 110 "settings.vala"
		_g_key_file_unref0 (keyfile);
#line 110 "settings.vala"
		_g_object_unref0 (gsettings);
#line 110 "settings.vala"
		_g_free0 (path);
#line 1315 "settings.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
		GError* e = NULL;
		GError* _tmp110_;
		const gchar* _tmp111_;
#line 110 "settings.vala"
		e = _inner_error0_;
#line 110 "settings.vala"
		_inner_error0_ = NULL;
#line 227 "settings.vala"
		_tmp110_ = e;
#line 227 "settings.vala"
		_tmp111_ = _tmp110_->message;
#line 227 "settings.vala"
		g_warning ("settings.vala:227: Error in apply_conf_settings (): %s", _tmp111_);
#line 110 "settings.vala"
		_g_error_free0 (e);
#line 1335 "settings.c"
	}
	__finally0:
#line 110 "settings.vala"
	if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 110 "settings.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 110 "settings.vala"
		g_clear_error (&_inner_error0_);
#line 110 "settings.vala"
		return;
#line 1346 "settings.c"
	}
}

UGSettings*
ug_settings_construct (GType object_type)
{
	UGSettings* self = NULL;
#line 21 "settings.vala"
	self = (UGSettings*) g_type_create_instance (object_type);
#line 21 "settings.vala"
	return self;
#line 1358 "settings.c"
}

UGSettings*
ug_settings_new (void)
{
#line 21 "settings.vala"
	return ug_settings_construct (TYPE_UG_SETTINGS);
#line 1366 "settings.c"
}

static void
value_ug_settings_init (GValue* value)
{
#line 21 "settings.vala"
	value->data[0].v_pointer = NULL;
#line 1374 "settings.c"
}

static void
value_ug_settings_free_value (GValue* value)
{
#line 21 "settings.vala"
	if (value->data[0].v_pointer) {
#line 21 "settings.vala"
		ug_settings_unref (value->data[0].v_pointer);
#line 1384 "settings.c"
	}
}

static void
value_ug_settings_copy_value (const GValue* src_value,
                              GValue* dest_value)
{
#line 21 "settings.vala"
	if (src_value->data[0].v_pointer) {
#line 21 "settings.vala"
		dest_value->data[0].v_pointer = ug_settings_ref (src_value->data[0].v_pointer);
#line 1396 "settings.c"
	} else {
#line 21 "settings.vala"
		dest_value->data[0].v_pointer = NULL;
#line 1400 "settings.c"
	}
}

static gpointer
value_ug_settings_peek_pointer (const GValue* value)
{
#line 21 "settings.vala"
	return value->data[0].v_pointer;
#line 1409 "settings.c"
}

static gchar*
value_ug_settings_collect_value (GValue* value,
                                 guint n_collect_values,
                                 GTypeCValue* collect_values,
                                 guint collect_flags)
{
#line 21 "settings.vala"
	if (collect_values[0].v_pointer) {
#line 1420 "settings.c"
		UGSettings * object;
		object = collect_values[0].v_pointer;
#line 21 "settings.vala"
		if (object->parent_instance.g_class == NULL) {
#line 21 "settings.vala"
			return g_strconcat ("invalid unclassed object pointer for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1427 "settings.c"
		} else if (!g_value_type_compatible (G_TYPE_FROM_INSTANCE (object), G_VALUE_TYPE (value))) {
#line 21 "settings.vala"
			return g_strconcat ("invalid object type `", g_type_name (G_TYPE_FROM_INSTANCE (object)), "' for value type `", G_VALUE_TYPE_NAME (value), "'", NULL);
#line 1431 "settings.c"
		}
#line 21 "settings.vala"
		value->data[0].v_pointer = ug_settings_ref (object);
#line 1435 "settings.c"
	} else {
#line 21 "settings.vala"
		value->data[0].v_pointer = NULL;
#line 1439 "settings.c"
	}
#line 21 "settings.vala"
	return NULL;
#line 1443 "settings.c"
}

static gchar*
value_ug_settings_lcopy_value (const GValue* value,
                               guint n_collect_values,
                               GTypeCValue* collect_values,
                               guint collect_flags)
{
	UGSettings ** object_p;
	object_p = collect_values[0].v_pointer;
#line 21 "settings.vala"
	if (!object_p) {
#line 21 "settings.vala"
		return g_strdup_printf ("value location for `%s' passed as NULL", G_VALUE_TYPE_NAME (value));
#line 1458 "settings.c"
	}
#line 21 "settings.vala"
	if (!value->data[0].v_pointer) {
#line 21 "settings.vala"
		*object_p = NULL;
#line 1464 "settings.c"
	} else if (collect_flags & G_VALUE_NOCOPY_CONTENTS) {
#line 21 "settings.vala"
		*object_p = value->data[0].v_pointer;
#line 1468 "settings.c"
	} else {
#line 21 "settings.vala"
		*object_p = ug_settings_ref (value->data[0].v_pointer);
#line 1472 "settings.c"
	}
#line 21 "settings.vala"
	return NULL;
#line 1476 "settings.c"
}

GParamSpec*
param_spec_ug_settings (const gchar* name,
                        const gchar* nick,
                        const gchar* blurb,
                        GType object_type,
                        GParamFlags flags)
{
	ParamSpecUGSettings* spec;
#line 21 "settings.vala"
	g_return_val_if_fail (g_type_is_a (object_type, TYPE_UG_SETTINGS), NULL);
#line 21 "settings.vala"
	spec = g_param_spec_internal (G_TYPE_PARAM_OBJECT, name, nick, blurb, flags);
#line 21 "settings.vala"
	G_PARAM_SPEC (spec)->value_type = object_type;
#line 21 "settings.vala"
	return G_PARAM_SPEC (spec);
#line 1495 "settings.c"
}

gpointer
value_get_ug_settings (const GValue* value)
{
#line 21 "settings.vala"
	g_return_val_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_UG_SETTINGS), NULL);
#line 21 "settings.vala"
	return value->data[0].v_pointer;
#line 1505 "settings.c"
}

void
value_set_ug_settings (GValue* value,
                       gpointer v_object)
{
	UGSettings * old;
#line 21 "settings.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_UG_SETTINGS));
#line 21 "settings.vala"
	old = value->data[0].v_pointer;
#line 21 "settings.vala"
	if (v_object) {
#line 21 "settings.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_UG_SETTINGS));
#line 21 "settings.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 21 "settings.vala"
		value->data[0].v_pointer = v_object;
#line 21 "settings.vala"
		ug_settings_ref (value->data[0].v_pointer);
#line 1527 "settings.c"
	} else {
#line 21 "settings.vala"
		value->data[0].v_pointer = NULL;
#line 1531 "settings.c"
	}
#line 21 "settings.vala"
	if (old) {
#line 21 "settings.vala"
		ug_settings_unref (old);
#line 1537 "settings.c"
	}
}

void
value_take_ug_settings (GValue* value,
                        gpointer v_object)
{
	UGSettings * old;
#line 21 "settings.vala"
	g_return_if_fail (G_TYPE_CHECK_VALUE_TYPE (value, TYPE_UG_SETTINGS));
#line 21 "settings.vala"
	old = value->data[0].v_pointer;
#line 21 "settings.vala"
	if (v_object) {
#line 21 "settings.vala"
		g_return_if_fail (G_TYPE_CHECK_INSTANCE_TYPE (v_object, TYPE_UG_SETTINGS));
#line 21 "settings.vala"
		g_return_if_fail (g_value_type_compatible (G_TYPE_FROM_INSTANCE (v_object), G_VALUE_TYPE (value)));
#line 21 "settings.vala"
		value->data[0].v_pointer = v_object;
#line 1558 "settings.c"
	} else {
#line 21 "settings.vala"
		value->data[0].v_pointer = NULL;
#line 1562 "settings.c"
	}
#line 21 "settings.vala"
	if (old) {
#line 21 "settings.vala"
		ug_settings_unref (old);
#line 1568 "settings.c"
	}
}

static void
ug_settings_class_init (UGSettingsClass * klass,
                        gpointer klass_data)
{
#line 21 "settings.vala"
	ug_settings_parent_class = g_type_class_peek_parent (klass);
#line 21 "settings.vala"
	((UGSettingsClass *) klass)->finalize = ug_settings_finalize;
#line 1580 "settings.c"
}

static void
ug_settings_instance_init (UGSettings * self,
                           gpointer klass)
{
#line 21 "settings.vala"
	self->ref_count = 1;
#line 1589 "settings.c"
}

static void
ug_settings_finalize (UGSettings * obj)
{
	UGSettings * self;
#line 21 "settings.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, TYPE_UG_SETTINGS, UGSettings);
#line 21 "settings.vala"
	g_signal_handlers_destroy (self);
#line 1600 "settings.c"
}

static GType
ug_settings_get_type_once (void)
{
	static const GTypeValueTable g_define_type_value_table = { value_ug_settings_init, value_ug_settings_free_value, value_ug_settings_copy_value, value_ug_settings_peek_pointer, "p", value_ug_settings_collect_value, "p", value_ug_settings_lcopy_value };
	static const GTypeInfo g_define_type_info = { sizeof (UGSettingsClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) ug_settings_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (UGSettings), 0, (GInstanceInitFunc) ug_settings_instance_init, &g_define_type_value_table };
	static const GTypeFundamentalInfo g_define_type_fundamental_info = { (G_TYPE_FLAG_CLASSED | G_TYPE_FLAG_INSTANTIATABLE | G_TYPE_FLAG_DERIVABLE | G_TYPE_FLAG_DEEP_DERIVABLE) };
	GType ug_settings_type_id;
	ug_settings_type_id = g_type_register_fundamental (g_type_fundamental_next (), "UGSettings", &g_define_type_info, &g_define_type_fundamental_info, 0);
	return ug_settings_type_id;
}

GType
ug_settings_get_type (void)
{
	static volatile gsize ug_settings_type_id__volatile = 0;
	if (g_once_init_enter (&ug_settings_type_id__volatile)) {
		GType ug_settings_type_id;
		ug_settings_type_id = ug_settings_get_type_once ();
		g_once_init_leave (&ug_settings_type_id__volatile, ug_settings_type_id);
	}
	return ug_settings_type_id__volatile;
}

gpointer
ug_settings_ref (gpointer instance)
{
	UGSettings * self;
	self = instance;
#line 21 "settings.vala"
	g_atomic_int_inc (&self->ref_count);
#line 21 "settings.vala"
	return instance;
#line 1635 "settings.c"
}

void
ug_settings_unref (gpointer instance)
{
	UGSettings * self;
	self = instance;
#line 21 "settings.vala"
	if (g_atomic_int_dec_and_test (&self->ref_count)) {
#line 21 "settings.vala"
		UG_SETTINGS_GET_CLASS (self)->finalize (self);
#line 21 "settings.vala"
		g_type_free_instance ((GTypeInstance *) self);
#line 1649 "settings.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gint array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gint i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gint array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gint
_vala_array_length (gpointer array)
{
	gint length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

